Package org.opengis.cite.ogcapifeatures10.conformance.crs.discovery.collection

# Class DiscoveryCollectionCrsUri

java.lang.Object
org.opengis.cite.ogcapifeatures10.conformance.crs.discovery.collection.DiscoveryCollectionCrsUri

public class DiscoveryCollectionCrsUri extends Object
Verifies object in the paths /collection

     Abstract Test 1:  /conf/crs/crs-uri
     Test Purpose: Verify that each CRS identifier is a valid value
     Requirement: /req/crs/crs-uri, /req/crs/fc-md-crs-list A, /req/crs/fc-md-storageCrs, /req/crs/fc-md-crs-list-global

     Test Method
     For each string value in a crs or storageCrs property in the collections and collection objects in the paths /collections and /collections/{collectionId}, validate that the string conforms to the generic URI syntax as specified by RFC 3986, section 3. In addition, accept a single value of #/crs in each collection object at path /collections, if the collections object has a crs property.
      1. For http-URIs (starting with http:) validate that the string conforms to the syntax specified by RFC 7230, section 2.7.1.
      2. For https-URIs (starting with https:) validate that the string conforms to the syntax specified by RFC 7230, section 2.7.2.
      3. For URNs (starting with urn:) validate that the string conforms to the syntax specified by RFC 8141, section 2.
      4. For OGC URNs (starting with urn:ogc:def:crs:) and OGC http-URIs (starting with http://www.opengis.net/def/crs/) validate that the string conforms to the syntax specified by OGC Name Type Specification - definitions - part 1 – basic name.

Author:
  Lyn Goltz

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DiscoveryCollectionCrsUri()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Iterator<Object[]>`
  `collectionIdAndJsonAndCrs(org.testng.ITestContext testContext)`
  collectionIdAndJsonAndCrs.
  `Iterator<Object[]>`
  `collectionIdAndJsonAndStorageCrs(org.testng.ITestContext testContext)`
  collectionIdAndJsonAndStorageCrs.
  `void`
  `storeCollectionInTestContext(org.testng.ITestContext testContext)`
  storeCollectionInTestContext.
  `void`
  `verifyCollectionCrsIdentifierOfCrsProperty(String collectionId, CoordinateSystem crs)`
  Test: crs property in the collection objects in the path /collections
  `void`
  `verifyCollectionCrsIdentifierOfStorageCrsProperty(String collectionId, CoordinateSystem storageCrs)`
  Test: storageCrs property in the collection objects in the path /collections

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DiscoveryCollectionCrsUri

    public DiscoveryCollectionCrsUri()

- ## Method Details

  - ### collectionIdAndJsonAndCrs

    @DataProvider(name="collectionIdAndJsonAndCrs") public Iterator<Object[]> collectionIdAndJsonAndCrs(org.testng.ITestContext testContext) throws AssertionError

    collectionIdAndJsonAndCrs.

    Parameters:
      `testContext` - a `ITestContext` object
    Returns:
      a `Iterator` object
    Throws:
      `AssertionError` - if any.

  - ### collectionIdAndJsonAndStorageCrs

    @DataProvider(name="collectionIdAndJsonAndStorageCrs") public Iterator<Object[]> collectionIdAndJsonAndStorageCrs(org.testng.ITestContext testContext)

    collectionIdAndJsonAndStorageCrs.

    Parameters:
      `testContext` - a `ITestContext` object
    Returns:
      a `Iterator` object

  - ### storeCollectionInTestContext

    @AfterClass public void storeCollectionInTestContext(org.testng.ITestContext testContext)

    storeCollectionInTestContext.

    Parameters:
      `testContext` - a `ITestContext` object

  - ### verifyCollectionCrsIdentifierOfCrsProperty

    public void verifyCollectionCrsIdentifierOfCrsProperty(String collectionId, CoordinateSystem crs)
    Test: crs property in the collection objects in the path /collections
    Parameters:
      `collectionId` - id of the collection under test, never `null`
      `crs` - the coordinate system, never `null`

  - ### verifyCollectionCrsIdentifierOfStorageCrsProperty

    public void verifyCollectionCrsIdentifierOfStorageCrsProperty(String collectionId, CoordinateSystem storageCrs)
    Test: storageCrs property in the collection objects in the path /collections
    Parameters:
      `collectionId` - id of the collection under test, never `null`
      `storageCrs` - the storageCrs, never `null`